*find first primogeniture year
sort nuts year
gen firstprimoyear = 1 if selection_primo[_n] == 1 & selection_primo[_n-1] !=1
gen firstpyr = firstprimoyear * year 
gen primo1000=0
replace primo1000=1 if year==1001&selection_primo==1
gen elec1000=0
replace elec1000=1 if year==1001&selection_el==1


*parliaments data
merge m:1 mainpolity using "parl.dta"
drop _merge
replace parl15=. if  countryname!="UK"&mainpolity=="England"
replace parl14=. if  countryname!="UK"&mainpolity=="England"
replace parl13=. if  countryname!="UK"&mainpolity=="England"
replace parl12=. if  countryname!="UK"&mainpolity=="England"

replace parl15=61 if  nuts=="ES51"
replace parl14=41 if  nuts=="ES51"
replace parl13=29 if  nuts=="ES51"
replace parl12=3 if  nuts=="ES51"

replace parl15=29 if  nuts=="ES52"
replace parl14=28 if  nuts=="ES52"
replace parl13=7 if  nuts=="ES52"
replace parl12=. if  nuts=="ES52"

replace parl15=29 if  nuts=="ES53"
replace parl14=28 if  nuts=="ES53"
replace parl13=7 if  nuts=="ES53"
replace parl12=. if  nuts=="ES53"

replace parl15=10 if  bigpol=="Naples"
replace parl14=. if  bigpol=="Naples"
replace parl13=. if  bigpol=="Naples"
replace parl12=. if  bigpol=="Naples"

replace parl15=80 if  nuts=="ITG1"
replace parl14=80 if  nuts=="ITG1"
replace parl13=80 if  nuts=="ITG1"
replace parl12=. if  nuts=="ITG1"


replace parl15=9 if  bigpol=="Bohemia"
replace parl14=9 if  bigpol=="Bohemia"
replace parl13=. if  bigpol=="Bohemia"
replace parl12=. if  bigpol=="Bohemia"

replace parl15=10 if  bigpol=="Hungary"
replace parl14=5 if  bigpol=="Hungary"
replace parl13=. if  bigpol=="Hungary"
replace parl12=. if  bigpol=="Hungary"

replace parl15=90 if  bigpol=="Poland"
replace parl14=20 if  bigpol=="Poland"
replace parl13=. if  bigpol=="Poland"
replace parl12=. if  bigpol=="Poland"



replace parl12=. if year<1188|year>1200
replace parl13=. if year<1201 |year>1300
replace parl14=. if year<1301 |year>1400
replace parl15=. if year<1401 


replace parl12= parl12/12.3
replace parl13= parl13/100
replace parl14= parl14/100
replace parl15= parl15/100



egen total_parl=rsum(parl*)
recode parl* (.=0)
replace total_parl=. if year<1188

egen totalparl=total(total_parl), by (nuts)



*collapsing
sort nuts year
egen accessiontotal=rsum(access*)
drop if kingname[_n-1]==kingname &regnalnum[_n-1]==regnalnum &mainpolity[_n-1]==mainpolity
drop if kingname[_n-1]==kingname &regnalnum==0 &mainpolity[_n-1]==mainpolity&accessiontotal==0 &legitimateboys==0 &legitimategirls==0&child1boy==.
drop if previous==1

*Droping foreign usurpers for Table A.5, column (7)
*drop if accession_coup==1 &dynasty!=dynasty[_n-1]

*Dropping years of the black death for Table A.5, column (8)
*drop if year>1346&year<1354

collapse (sum) total_heirs zero firstchild* avelegitchild child1boy hadrecorded monarchs onlygirls regional nomalecoup_deposed nomalecoup_deposedorkilled totalkidsW wavetotal_heir genderratioW legitimateboysW atleastonemaleheirW atleastonelegitboyW accession_* lostpower_*  legitimateboys legitimategirls boysdiedchildren girlsdiedchildren boysalivelostpower girlsalivelostpower illegitimateboys illegitimategirls woman count (min) firstpyr (mean) firstdyn  muslimyears tribalyears totalparl avetotal_heirs war avedynlength wavedynlength primoyears goodyears genderratioUW atleastonemaleheir atleastonelegitboy avelegitboys onlyone morethanone lengthofrule cleansed ironcurtain carol latin selection_* *1000, by (nuts bigpol countryname)

*merging in the dv
merge 1:1 nuts using "qogdata.dta"
drop if _merge==2
encode bigpol, gen(bigpolnum) 
drop _merge

merge 1:1 nuts using "balancedata.dta"
drop _merge

replace RomanEmp=1 if nuts=="DE1"

*****Merging in the cities data
merge 1:1 nuts using "citydataclean.dta"
drop if _merge==2
drop _merge
replace citypop1000=0 if citypop1000==.
replace citypop1200=0 if citypop1200==.
replace citypop1300=0 if citypop1300==.
replace citypop1400=0 if citypop1400==.
replace citypop1500=0 if citypop1500==.
replace citypop1600=0 if citypop1600==.
replace citypop1700=0 if citypop1700==.
replace citypop1750=0 if citypop1750==.
replace citypop1800=0 if citypop1800==.
replace citypop1850=0 if citypop1850==.
gen ln_urbandensity1000 = ln(1+citypop1000/area)
gen ln_urbandensity1200 = ln(1+citypop1200/area)
gen ln_urbandensity1300 = ln(1+citypop1300/area)
gen ln_urbandensity1400 = ln(1+citypop1400/area)
gen ln_urbandensity1500 = ln(1+citypop1500/area) 
gen ln_urbandensity1600 = ln(1+citypop1600/area)
gen ln_urbandensity1700 = ln(1+citypop1700/area)
gen ln_urbandensity1750 = ln(1+citypop1750/area) 
gen ln_urbandensity1800 = ln(1+citypop1800/area) 
gen ln_urbandensity1850 = ln(1+citypop1850/area)


*tax data
gen tax1500=.
replace tax1500=27115/43097.5  if bigpol=="Denmark"
replace tax1500=tax1500*2 if bigpol=="Denmark"
replace tax1500=2611111/460047  if bigpol=="France" 
replace tax1500=. if name=="Bretagne"
replace tax1500=525100/151379.3  if bigpol=="England"
replace tax1500=716705.0267/280160.8 if bigpol=="Iberia"
replace tax1500=. if nuts=="ES53"
replace tax1500=. if nuts=="ES52"
replace tax1500=. if nuts=="ES51"
replace tax1500=. if nuts=="ES23"
replace tax1500=. if nuts=="ES24"
replace tax1500=. if nuts=="ES22"
replace tax1500=. if nuts=="ES21"
replace tax1500=. if countryname=="Portugal"

*define various independent variables
gen totalkids= legitimateboys+ legitimategirls
gen pcmale= legitimateboys/ totalkids


gen illegetgenderratio = illegitimateboys/(illegitimateboys+illegitimategirls)
gen firstbornpcmale=firstchildgender/hadrecorded

gen muslim1000=0
replace muslim1000=1 if muslimyears>1
replace muslim1000=0 if  countryname=="Greece"
replace muslim1000=0 if  countryname=="Bulgaria"
gen tribal1000=0
replace tribal1000=1 if tribalyears>1
gen roman=0


*separate east and west germany
replace countryname="West Germany" if countryname=="Germany" & ironcurtain==0
replace countryname="East Germany" if countryname=="Germany" & ironcurtain==1
replace country=27 if countryname=="East Germany"

*define southerneurope
gen southerneurope = 0
replace southerneurope = 1 if countryname=="Malta" | countryname=="Italy" | countryname=="Spain" | countryname=="Portugal"| countryname=="Greece"

*replace bigpolity
*replace pcmale=. if nuts=="SE3"
replace bigpol="Aragon" if nuts=="ES62"
replace bigpol="Aragon" if nuts=="ES53"
replace bigpol="Aragon" if nuts=="ES51"
replace bigpol="Aragon" if nuts=="ES24"
replace bigpol="Portugal" if countryname=="Portugal"
replace bigpol="Castile" if bigpol=="Iberia"

*histogram pcmale if cleansed==0, bin(8) percent ytitle({stSerif:Fraction of Regions}) xtitle({stSerif:Fraction of Males among Monarchs' Children 1000-1500AD}) ylabel(, format(%9.0g))  graphregion(fcolor(white) lcolor(black) lpattern(solid)) plotregion(fcolor(none) lcolor(black) lpattern(solid))
reg loggdp pcmale 
bysort iron: reg war pcmale

label var ln_urbandensity1000 "Urban Density AD 1000"
label var muslim1000 "Muslim Rule AD 1000"
label var tribal1000 "Pagan Tribes AD 1000"
label var elec1000 "Elected Monarchy AD 1000"
*label var latin "Roman Empire"
*label var caroling "Carolingian Empire"
label var coast "Coastal"
label var atlantic "Atlantic Coast"
label var stateage "State Age AD 1000"
label var heating_degree "Heating Degree Days AD 2000"
label var RomanEmp "Roman Empire"
label var NewCaro "Carolingian Empire"







