
*----------------Figure 2--------------------------------------------------------------------------------

*Figure 2
twoway (scatter loggdp pcmale, mlabel(nuts) ytitle("Log GDP per capita, PPP, averaged 2007-2009") xtitle("Fraction of Males among Monarchs' Children, 1000-1500AD") legend(off)) (lfit loggdp pcmale), ylab(,nogrid) graphregion(color(white) lwidth(large))

*----------------Baseline Estimates, Table 1-------------------------------------------------------------

*column (1)
reg loggdp legitimateboys if cleansed==0
reg loggdp legitimateboys if cleansed==0, vce(cluster bigpolnum)
reg loggdp legitimateboys if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (2)
reg loggdp legitimateboysW if cleansed==0
reg loggdp legitimateboysW if cleansed==0, vce(cluster bigpolnum)
reg loggdp legitimateboysW if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (3)
reg loggdp zerosons if cleansed == 0
reg loggdp zerosons if cleansed == 0, vce(cluster bigpolnum)
reg loggdp zerosons if cleansed == 0, vce(bootstrap, cluster(bigpolnum))

*column (4)
reg loggdp atleastonemaleheir if cleansed==0
reg loggdp atleastonemaleheir if cleansed==0, vce(cluster bigpolnum)
reg loggdp atleastonemaleheir if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (5)
reg loggdp pcmale if cleansed==0
reg loggdp pcmale if cleansed==0, vce(cluster bigpolnum)
reg loggdp pcmale if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (6) ***for this one you have to use the new collapse***
reg loggdp firstbornpcmale if cleansed==0
reg loggdp firstbornpcmale if cleansed==0, vce(cluster bigpolnum)
reg loggdp firstbornpcmale if cleansed==0, vce(bootstrap, cluster(bigpolnum))

* Use the standard deviations from here to calculate the substantive effects by taking Exp(s.d. x coef.)
* This is done in the accompanying mathematica file called substantive.nb, including for the three additional specifications mentioned in Section 5.1 and estimated below
sum legitimateboys legitimateboysW zerosons atleastonemaleheir pcmale firstbornpcmale if cleansed==0

*-----------------Additional specifications mentioned in Section 5.1 ------------------------------------------------------------------------------------------------------

* Pre-treatment covariates
reg loggdp pcmale ln_urbandensity1000 muslim1000 tribal1000 elec1000 RomanEmp NewCaro atlantic stateage heating_degree if cleansed==0 
reg loggdp pcmale ln_urbandensity1000 muslim1000 tribal1000 elec1000 RomanEmp NewCaro atlantic stateage heating_degree if cleansed==0, vce(cluster bigpolnum)
reg loggdp pcmale ln_urbandensity1000 muslim1000 tribal1000 elec1000 RomanEmp NewCaro atlantic stateage heating_degree if cleansed==0, vce(bootstrap, cluster(bigpolnum))

* Modern country fixed effects
reg loggdppc0709 pcmale i.country if cleansed==0
 
*-----------------Illegitimate children placebo test, Section --------------------------------------------------------------------------------------------------------------

reg loggdp illeget if cleansed==0
reg loggdp illeget if cleansed==0, vce(cluster bigpolnum)
reg loggdp illeget if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*-----------------Effects through Time, Table 2-----------------------------------------------------------------------------------------------------------------------------

*column (1) 
reg ln_urbandensity1000 pcmale if cleansed==0
reg ln_urbandensity1000 pcmale if cleansed==0, vce(cluster bigpolnum)
reg ln_urbandensity1000 pcmale if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (2) 
reg ln_urbandensity1300 pcmale if cleansed==0
reg ln_urbandensity1300 pcmale if cleansed==0, vce(cluster bigpolnum)
reg ln_urbandensity1300 pcmale if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (3)
reg ln_urbandensity1400 pcmale if cleansed==0
reg ln_urbandensity1400 pcmale if cleansed==0, vce(cluster bigpolnum)
reg ln_urbandensity1400 pcmale if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (4)
reg ln_urbandensity1500 pcmale if cleansed==0 
reg ln_urbandensity1500 pcmale if cleansed==0, vce(cluster bigpolnum)
reg ln_urbandensity1500 pcmale if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (5)
reg ln_urbandensity1600 pcmale if cleansed==0
reg ln_urbandensity1600 pcmale if cleansed==0, vce(cluster bigpolnum)
reg ln_urbandensity1600 pcmale if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (6)
reg ln_urbandensity1700 pcmale if cleansed==0
reg ln_urbandensity1700 pcmale if cleansed==0, vce(cluster bigpolnum)
reg ln_urbandensity1700 pcmale if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (7)
reg ln_urbandensity1800 pcmale if cleansed==0
reg ln_urbandensity1800 pcmale if cleansed==0, vce(cluster bigpolnum)
reg ln_urbandensity1800 pcmale if cleansed==0, vce(bootstrap, cluster(bigpolnum))


*------------------Columns (1) and (2) of Table 3---------------------------------------------------------------------------------------------------------------------------

generate coup = accession_coup/goodyears

*column (1)
reg coup pcmale if cleansed==0
reg coup pcmale if cleansed==0, vce(cluster bigpolnum)
reg coup pcmale if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (2)
reg war pcmale if cleansed==0&ironcurtain==0
reg war pcmale if cleansed==0&ironcurtain==0, vce(cluster bigpolnum)
reg war pcmale if cleansed==0&ironcurtain==0, vce(bootstrap, cluster(bigpolnum))


*-----------------Coups, Conflict and Development, Table 4-------------------------------------------------------------------------------------------------------------------

*Column (1)
reg loggdppc0709 coup if cleansed==0
reg loggdppc0709 coup if cleansed==0, vce(cluster bigpolnum)
reg loggdppc0709 coup if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*Column (2)
reg loggdppc0709 war if cleansed==0&ironcurtain==0
reg loggdppc0709 war if cleansed==0&ironcurtain==0, vce(cluster bigpolnum)
reg loggdppc0709 war if cleansed==0&ironcurtain==0, vce(bootstrap, cluster(bigpolnum))

*Column (3)
reg regqog coup if cleansed==0
reg regqog coup if cleansed==0, vce(cluster bigpolnum)
reg regqog coup if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*Column (4)
reg regqog war if cleansed==0&ironcurtain==0
reg regqog war if cleansed==0&ironcurtain==0, vce(cluster bigpolnum)
reg regqog war if cleansed==0&ironcurtain==0, vce(bootstrap, cluster(bigpolnum))


*------------------Interactions, Table 6------------------------------------------------------------------------------------------------------------------------------------

*Generate the measures
rename carol salic
rename latin nontribal
gen inter_nontribal=nontribal*pcmale
gen inter_salic=salic*pcmale
gen inter_primo = selection_p * pcmale
gen inter_woman = woman * pcmale

*column (1)
reg loggdppc0709 pcmale salic inter_salic if cleansed==0
reg loggdppc0709 pcmale salic inter_salic if cleansed==0, vce(cluster bigpolnum)
reg loggdppc0709 pcmale salic inter_salic if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (2)
reg loggdppc0709 pcmale nontribal inter_nontribal if cleansed==0
reg loggdppc0709 pcmale nontribal inter_nontribal if cleansed==0, vce(cluster bigpolnum)
reg loggdppc0709 pcmale nontribal inter_nontribal if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (3)
reg loggdp selection_p pcmale inter_primo if cleansed==0
reg loggdp selection_p pcmale inter_primo if cleansed==0, vce(cluster bigpolnum)
reg loggdp selection_p pcmale inter_primo if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (4)
reg loggdppc0709 pcmale woman inter_woman if cleansed==0
reg loggdppc0709 pcmale woman inter_woman if cleansed==0, vce(cluster bigpolnum)
reg loggdppc0709 pcmale woman inter_woman if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*find number/percent of women
tab woman


*------------------Analysis reported in Section 6.4----------------------------------------------------------------------------------------------------------------------------

reg selection_p pcmale
reg selection_p pcmale, vce(cluster bigpolnum)
reg selection_p pcmale, vce(bootstrap, cluster(bigpolnum))



*-------------------Appendix Table A.0, summary statistics---------------------------------------------------------------------------------------------------------------------


sutex pcmale firstbornpcmale totalkids legitimateboys legitimategirls hadrecordedchildren child1boy zerosons monarchs onlygirls accession_inheritingcloserelativ accession_inheritingotherrelativ accession_coup accession_election accession_appointed accession_marriage accession_unification lostpower_naturaldeath lostpower_naturaldeath lostpower_killed lostpower_deposed lostpower_abbdicated muslimyears tribalyears totalparl war avedynlength primoyears lengthofrule ironcurtain latingreek cleansed Roman loggdp logarea selection_primo selection_agnat selection_el,  minmax nobs


*-------------------Appendix Table A.1-----------------------------------------------------------------------------------------------------------------------------------------


replace heating_=heating_/1000000
foreach var of varlist ln_urbandensity1000 muslim1000 tribal1000 elec1000 RomanEmp NewCaro atlantic stateage heating_degree{
reg pcmale `var' 
reg pcmale `var', vce(cluster bigpolnum)
reg pcmale `var', vce(bootstrap, cluster(bigpolnum))
}


*-------------------Appendix Table A.4, and the "Treamtent Units Analysis" Reported in Appendix A.4----------------------------------------------------------------------------

*Table A.4

*column (1) (removing Britain & Scandinavia)
reg loggdp pcmale if cleansed==0 & bigpol != "England" & bigpol !="Scotland" & bigpol != "Denmark" & bigpol !="Sweden"
reg loggdp pcmale if cleansed==0 & bigpol != "England" & bigpol !="Scotland" & bigpol != "Denmark" & bigpol !="Sweden", vce(cluster bigpolnum)
reg loggdp pcmale if cleansed==0 & bigpol != "England" & bigpol !="Scotland" & bigpol != "Denmark" & bigpol !="Sweden", vce(bootstrap, cluster(bigpolnum))

*column (2) (removing France & Iberian Peninsula)
reg loggdp pcmale if cleansed==0 & bigpol != "France" & bigpol !="Castile" & bigpol != "Aragon" & bigpol !="Portugal"
reg loggdp pcmale if cleansed==0 & bigpol != "France" & bigpol !="Castile" & bigpol != "Aragon" & bigpol !="Portugal", vce(cluster bigpolnum)
reg loggdp pcmale if cleansed==0 & bigpol != "France" & bigpol !="Castile" & bigpol != "Aragon" & bigpol !="Portugal", vce(bootstrap, cluster(bigpolnum))

*column (3) (removing HRE)
reg loggdp pcmale if cleansed==0 & bigpol != "HRE"
reg loggdp pcmale if cleansed==0 & bigpol != "HRE", vce(cluster bigpolnum)
reg loggdp pcmale if cleansed==0 & bigpol != "HRE", vce(bootstrap, cluster(bigpolnum))

*column (4) (removing Southeast Europe)
reg loggdp pcmale if cleansed==0 & bigpol != "Byz" & bigpol != "Sicily" & bigpol != "Walachia" 
reg loggdp pcmale if cleansed==0 & bigpol != "Byz" & bigpol != "Sicily" & bigpol != "Walachia", vce(cluster bigpolnum)
reg loggdp pcmale if cleansed==0 & bigpol != "Byz" & bigpol != "Sicily" & bigpol != "Walachia", vce(bootstrap, cluster(bigpolnum))

*column (5) (removing Northeast Europe)
reg loggdp pcmale if cleansed==0 & bigpol != "Poland" & bigpol != "Hungary" 
reg loggdp pcmale if cleansed==0 & bigpol != "Poland" & bigpol != "Hungary", vce(cluster bigpolnum)
reg loggdp pcmale if cleansed==0 & bigpol != "Poland" & bigpol != "Hungary", vce(bootstrap, cluster(bigpolnum))


/* (Treatment units analysis) -- Must run this after a fresh collapse of the data, otherwise it drops/renames units that are needed for subsequent analysis--

list nuts pcmale regqog loggdp population0709 popweight0709 if countryname=="UK" & nuts != "UKM" & nuts != "UKL"

replace regqog = (.890889*57+1.22078*83+.601859*76+.775623*52+1.17706*69+.928315*54+1.22948*52+1.38923*44+1.05173*26)/(57+83+76+52+69+54+52+44+26) if nuts == "UKI"
replace loggdp = ln((exp(10.30829)*57+exp(10.41854)*83+exp(10.88862)*76+exp(10.18082)*52+exp(10.20136)*69+exp(10.19189)*54+exp(10.26595)*52+exp(10.22683)*44+exp(10.1062)*26)/(57+83+76+52+69+54+52+44+26)) if nuts=="UKI"

list nuts pcmale loggdp regqog population0709 popweight0709 if bigpol=="Hungary"

replace regqog = (1.03553*2.81455-.852483*31-.976073*41-1.57518*29-1.99129*14-2.09225*19-1.99459*16-1.79032*6.11394)/(2.81455 + 31 + 41 + 29 + 14 + 19 + 16 + 6.11394) if nuts == "HU1"
replace loggdp = ln((exp(9.991891)*2.81455+exp(9.087774)*31+exp(8.786959)*41+exp(9.746407)*29+exp(9.08975)*14+exp(9.270829)*19+exp(8.937632)*16+exp(10.15595)*6.11394)/(2.81455 + 31 + 41 + 29 + 14 + 19 + 16 + 6.11394)) if nuts=="HU1"

list nuts pcmale regqog loggdp population0709 popweight0709 if bigpol=="Denmark"

replace regqog = (1.74533*578775+ 1.73384*1600000 + 2.12729*1200000 + 1.88092*818932+ 1.87205*1200000)/(578775+1600000+1200000+818932+1200000) if nuts == "DK05"
replace loggdp = ln((exp(10.5674)*578775+exp(10.858)*1600000+exp(10.60034)*1200000+exp(10.36087)*818932+exp(10.5789)*1200000)/(578775+1600000+1200000+818932+1200000)) if nuts=="DK05"

list nuts pcmale regqog loggdp population0709 popweight0709 if bigpol=="Walachia"

replace regqog = (-.244886*25 + .216512*27 - .936824*19)/(25 + 27 + 19) if nuts=="RO42"
replace loggdp = ln((exp(8.707506)*25+exp(8.648067)*27+exp(8.838857)*19)/(25+27+19)) if nuts=="RO42"

drop if nuts == "RO11" | nuts == "RO12" | nuts == "UKC" | nuts == "UKD" | nuts == "UKE" | nuts == "UKF" | nuts == "UKG" | nuts == "UKH" | nuts == "UKJ" | nuts == "UKK" | nuts == "HU2" | nuts == "HU3" | nuts == "SK01" | nuts == "SK02" | nuts == "SK03" | nuts == "SK04" | nuts == "AT11" | nuts == "DK01" | nuts == "DK02" | nuts == "DK03" | nuts == "DK04"

replace nuts = "UK" if nuts == "UKI"
replace nuts = "HU" if nuts == "HU1"
replace nuts = "DK" if nuts == "DK05"
replace nuts = "RO" if nuts == "RO42"

reg loggdp pcmale if cleansed==0
reg loggdp pcmale if cleansed==0, vce(cluster bigpolnum)
reg loggdp pcmale if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*/


*-------------------Appendix Table A.5------------------------------------------------------------------------------------------------------------------------------------


*column (1)
reg loggdp pcmale
reg loggdp pcmale, vce(cluster bigpolnum)
reg loggdp pcmale, vce(bootstrap, cluster(bigpolnum))

*columns (2), (3) & (4)
*must run after changing the 200 year cutoff to 100, 300 and 400 years in the collapse file
reg loggdp pcmale if cleansed==0
reg loggdp pcmale if cleansed==0, vce(cluster bigpolnum)
reg loggdp pcmale if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*column (5)
reg loggdp pcmale if cleansed==0 & muslimyears==0
reg loggdp pcmale if cleansed==0 & muslimyears==0, vce(cluster bigpolnum)
reg loggdp pcmale if cleansed==0 & muslimyears==0, vce(bootstrap, cluster(bigpolnum))

*column (6)
reg loggdppc0709 pcmale if capitalregion==0 & cleansed==0
reg loggdppc0709 pcmale if capitalregion==0 & cleansed==0, vce(cluster bigpolnum)
reg loggdppc0709 pcmale if capitalregion==0 & cleansed==0, vce(bootstrap, cluster(bigpolnum))


*Removing all of the regions east of the Elbe, as mentioned in Section A.5 - footnote 1 of the Appendix 
reg loggdp pcmale if cleansed==0 & countryname!="Poland"&countryname!="Slovakia"&nuts!="DE4"&countryname!="Romania"&nuts!="HU3"
reg loggdp pcmale if cleansed==0 & countryname!="Poland"&countryname!="Slovakia"&nuts!="DE4"&countryname!="Romania"&nuts!="HU3", vce(cluster bigpolnum)
reg loggdp pcmale if cleansed==0 & countryname!="Poland"&countryname!="Slovakia"&nuts!="DE4"&countryname!="Romania"&nuts!="HU3", vce(bootstrap, cluster(bigpolnum))


*-------------------Appendix Section A.6------------------------------------------------------------------------------------------------------------------------------------

reg loggdp zerosons morethanone if cleansed==0
reg loggdp zerosons morethanone if cleansed==0, vce(cluster bigpolnum)
reg loggdp zerosons morethanone if cleansed==0, vce(bootstrap, cluster(bigpolnum))

*---------------------------------------------------------------------------------------------------------------------------------------------------------------------------




