clear matrix
clear
cd  "/Users/aviditacharya/Dropbox/Research - Submitted/European Development/Replication"
*cd  "/Users/alee87/Dropbox/European Development/Data"
set mem 500m
set more off

*****a file of monarchs
clear
insheet using "MonarchsRA.csv", comma
save "MonarchsRA.dta", replace
clear


***a file of unit-level controls
insheet using "Controls.csv", comma
save "Controls.dta", replace

**a file of dv
clear
insheet using "qogdata.csv", comma
save "qogdata.dta", replace
clear

************a file of regions
insheet using "Regions.csv", comma
replace mainpolity="Muslim" if mainpolity=="Toledo"
replace mainpolity="Muslim" if mainpolity=="Ottoman"
replace mainpolity="Muslim" if mainpolity=="Muslim-Sicily"
replace mainpolity="Muslim" if mainpolity=="Mallorca Taifa"
replace mainpolity="Muslim" if mainpolity=="Badajoz"
replace mainpolity="Muslim" if mainpolity=="Cordoba"
replace mainpolity="Muslim" if mainpolity=="Denia"
replace mainpolity="Muslim" if mainpolity=="Almohad"
replace mainpolity="Muslim" if mainpolity=="Almorovid"
replace mainpolity="Muslim" if mainpolity=="Minor Muslim"

*one year reigns
gen year2=.
expand 2 if mainpolity=="Bohemia" & year==1034, gen(extraobs)
replace year2=year if extraobs==1
drop extraobs
expand 2 if mainpolity=="Bohemia" & year==1034, gen(extraobs)
replace year2=year if extraobs==1
drop extraobs
expand 2 if mainpolity=="Bohemia" & year==1092, gen(extraobs)
replace year2=year if extraobs==1
drop extraobs
expand 2 if mainpolity=="Bohemia" & year==1197, gen(extraobs)
replace year2=year if extraobs==1
drop extraobs
expand 2  if mainpolity=="Bulgaria" & year==1256, gen(extraobs)
replace year2=year if extraobs==1
drop extraobs
expand 2 in 1 if mainpolity=="Byzantium" & year==1203, gen(extraobs)
replace year2=year if extraobs==1
drop extraobs
expand 2  if mainpolity=="England" & year==1066, gen(extraobs)
replace year2=year if extraobs==1
drop extraobs
expand 2  if mainpolity=="England" & year==1483, gen(extraobs)
replace year2=year if extraobs==1
drop extraobs

*controls
merge m:1 nuts using "Controls.dta"
drop if _merge==2
drop _merge


*big polity module

/*
replace mainpolity="France" if bigpolity=="France" &mainpolity=="Minor"
replace mainpolity="Ottonian" if bigpolity=="HRE" &mainpolity=="Minor"&year<1028
replace mainpolity="Salian" if bigpolity=="HRE" &mainpolity=="Minor"&year>1027&year<1138
replace mainpolity="Hohenstaufen" if bigpolity=="HRE" &mainpolity=="Minor"&year>11151&year<1251
*/

**


save "Regions.dta",replace
clear

**************a dataset of monarchs
insheet using "Monarchs.csv", comma
drop count
sort mainpolity year
gen death=0
replace death=1 if name[_n+1]!="" &mainpolity[_n+1]==mainpolity
recode accession* (2=1)


*merging in child order data
merge 1:1 year year2 mainpolity using "MonarchsRA.dta"
drop _merge count

*merging in brothers data
merge 1:1 year year2 mainpolity using "brothers.dta"
rename borthers_alive_lostpower brothers_alive_lostpower
replace brothers_total ="99" if brothers_total=="na"
replace brothers_alive_lostpower ="99" if brothers_alive_lostpower=="na"
encode brothers_alive_lostpower , generate(brothers_alive_lostpower_)
encode brothers_total, generate (brothers_total_)
drop _merge count brothers_alive_lostpower brothers_total

*merging in the regions data
rename name kingname
merge 1:m year year2 mainpolity using "Regions.dta"
drop if _merge==1
drop _merge



*adjusting for dynastic changes
gen accession_unification=. 
sort nuts year
gen newback= mainpolity[_n-1]
replace newback="" if year==1001



foreach var of varlist accession*{
replace `var'=0 if newback !=mainpolity &year!=1001
}


replace accession_appoint  =1 if year== 1305 & mainpolity=="Castile" & newback=="Aragon-James"
replace accession_appoint  =1 if year== 1157 & mainpolity=="Bavaria-Lion" & newback=="Austria"
replace accession_appoint  =1 if year== 1077 & mainpolity=="Salian" & newback=="Bavaria"
replace accession_appoint  =1 if year== 1143 & mainpolity=="Bavaria-Lion" & newback=="Brandenburg"
replace accession_appoint  =1 if year== 1374 & mainpolity=="Luxenbourg" & newback=="Brandenburg"
replace accession_inheritingclose  =1 if year== 1026 & mainpolity=="Burgundy-Counts" & newback=="Burgundy"
replace accession_appoint  =1 if year== 1096 & mainpolity=="Portugal" & newback=="Castile"
replace accession_appoint  =1 if year== 1042 & mainpolity=="England" & newback=="Denmark"
replace accession_appoint  =1 if year== 1011 & mainpolity=="Styria" & newback=="Karinthia"
replace accession_appoint  =1 if year== 1039 & mainpolity=="Salian" & newback=="Karinthia"
replace accession_appoint  =1 if year== 1010 & mainpolity=="Ottonian" & newback=="Luxenbourg"
replace accession_appoint  =1 if year== 1054 & mainpolity=="Salian" & newback=="Luxenbourg"
replace accession_appoint  =1 if year== 1002 & mainpolity=="Karinthia" & newback=="Ottonian"
replace accession_appoint  =1 if year== 1005 & mainpolity=="Luxenbourg" & newback=="Ottonian"
replace accession_appoint  =1 if year== 1026 & mainpolity=="Salian" & newback=="Ottonian"
replace accession_appoint  =1 if year== 1481 & mainpolity=="France" & newback=="Provence"
replace accession_appoint  =1 if year== 1042 & mainpolity=="Luxenbourg" & newback=="Salian"
replace accession_appoint  =1 if year== 1046 & mainpolity=="Swabia" & newback=="Salian"
replace accession_appoint  =1 if year== 1047 & mainpolity=="Karinthia" & newback=="Salian"
replace accession_appoint  =1 if year== 1061 & mainpolity=="Bavaria" & newback=="Salian"
replace accession_appoint  =1 if year== 1097 & mainpolity=="Bavaria" & newback=="Salian"
replace accession_appoint  =1 if year== 1106 & mainpolity=="Salian" & newback=="Saxony"
replace accession_appoint  =1 if year== 1248 & mainpolity=="Brandenburg" & newback=="Silesia"
replace accession_appoint  =1 if year== 1039 & mainpolity=="Salian" & newback=="Swabia"
replace accession_appoint  =1 if year== 1080 & mainpolity=="Hohenstaufen" & newback=="Swabia"
replace accession_appoint  =1 if year== 1363 & mainpolity=="Hapsburg" & newback=="Tyrol"
replace accession_coup  =1 if year== 1282 & mainpolity=="Aragon" & newback=="Anjou"
replace accession_coup  =1 if year== 1355 & mainpolity=="Sicily" & newback=="Athens"
replace accession_coup  =1 if year== 1308 & mainpolity=="Hungary" & newback=="Bavaria"
replace accession_coup  =1 if year== 1347 & mainpolity=="Holland" & newback=="Bavaria"
replace accession_coup  =1 if year== 1181 & mainpolity=="Bavaria" & newback=="Bavaria-Lion"
replace accession_coup  =1 if year== 1181 & mainpolity=="Saxony" & newback=="Bavaria-Lion"
replace accession_coup  =1 if year== 1003 & mainpolity=="Poland" & newback=="Bohemia"
replace accession_coup  =1 if year== 1278 & mainpolity=="Hapsburg" & newback=="Bohemia"
replace accession_coup  =1 if year== 1279 & mainpolity=="Tyrol" & newback=="Bohemia"
replace accession_coup  =1 if year== 1305 & mainpolity=="Poland" & newback=="Bohemia"
replace accession_coup  =1 if year== 1306 & mainpolity=="Bavaria" & newback=="Bohemia"
replace accession_coup  =1 if year== 1306 & mainpolity=="Hapsburg" & newback=="Bohemia"
replace accession_coup  =1 if year== 1430 & mainpolity=="Burgundy" & newback=="Brabant"
replace accession_coup  =1 if year== 1019 & mainpolity=="Byzantium" & newback=="Bulgaria"
replace accession_coup  =1 if year== 1197 & mainpolity=="Luxenbourg" & newback=="Burgundy-Counts"
replace accession_coup  =1 if year== 1059 & mainpolity=="Sicily" & newback=="Byzantium"
replace accession_coup  =1 if year== 1060 & mainpolity=="Sicily" & newback=="Byzantium"
replace accession_coup  =1 if year== 1061 & mainpolity=="Sicily" & newback=="Byzantium"
replace accession_coup  =1 if year== 1185 & mainpolity=="Bulgaria" & newback=="Byzantium"
replace accession_coup  =1 if year== 1349 & mainpolity=="Serbia" & newback=="Byzantium"
replace accession_coup  =1 if year== 1081 & mainpolity=="Sicily" & newback=="Church"
replace accession_coup  =1 if year== 1016 & mainpolity=="Denmark" & newback=="England"
replace accession_coup  =1 if year== 1066 & mainpolity=="Normandy" & newback=="England"
replace accession_coup  =1 if year== 1204 & mainpolity=="France" & newback=="England"
replace accession_coup  =1 if year== 1370 & mainpolity=="France" & newback=="England"
replace accession_coup  =1 if year== 1436 & mainpolity=="France" & newback=="England"
replace accession_coup  =1 if year== 1437 & mainpolity=="France" & newback=="England"
replace accession_coup  =1 if year== 1451 & mainpolity=="France" & newback=="England"
replace accession_coup  =1 if year== 1453 & mainpolity=="France" & newback=="England"
replace accession_coup  =1 if year== 1152 & mainpolity=="England" & newback=="France"
replace accession_coup  =1 if year== 1153 & mainpolity=="England" & newback=="France"
replace accession_coup  =1 if year== 1329 & mainpolity=="Navarre" & newback=="France"
replace accession_coup  =1 if year== 1360 & mainpolity=="England" & newback=="France"
replace accession_coup  =1 if year== 1361 & mainpolity=="England" & newback=="France"
replace accession_coup  =1 if year== 1421 & mainpolity=="England" & newback=="France"
replace accession_coup  =1 if year== 1072 & mainpolity=="Castile" & newback=="Galicia"
replace accession_coup  =1 if year== 1073 & mainpolity=="Castile" & newback=="Galicia"
replace accession_coup  =1 if year== 1078 & mainpolity=="Castile" & newback=="Galicia"
replace accession_coup  =1 if year== 1305 & mainpolity=="Poland" & newback=="Galicia"
replace accession_coup  =1 if year== 1306 & mainpolity=="Poland" & newback=="Galicia"
replace accession_coup  =1 if year== 1053 & mainpolity=="Aquitaine" & newback=="Gascony"
replace accession_coup  =1 if year== 1177 & mainpolity=="Sandomierz" & newback=="Greater Poland"
replace accession_coup  =1 if year== 1207 & mainpolity=="Sandomierz" & newback=="Greater Poland"
replace accession_coup  =1 if year== 1229 & mainpolity=="Silesia" & newback=="Greater Poland"
replace accession_coup  =1 if year== 1232 & mainpolity=="Masovia" & newback=="Greater Poland"
replace accession_coup  =1 if year== 1296 & mainpolity=="Poland" & newback=="Greater Poland"
replace accession_appoint  =1 if year== 1307 & mainpolity=="Saxony-Wettin" & newback=="Hapsburg"
replace accession_coup  =1 if year== 1307 & mainpolity=="Tyrol" & newback=="Hapsburg"
replace accession_coup  =1 if year== 1458 & mainpolity=="Hungary" & newback=="Hapsburg-Albert"
replace accession_coup  =1 if year== 1345 & mainpolity=="Bavaria" & newback=="Holland"
replace accession_coup  =1 if year== 1288 & mainpolity=="Silesia" & newback=="Lescya"
replace accession_inheritingclose  =1 if year== 1289 & mainpolity=="Poland" & newback=="Lescya"
replace accession_coup  =1 if year== 1196 & mainpolity=="Burgundy-Counts" & newback=="Luxenbourg"
replace accession_coup  =1 if year== 1286 & mainpolity=="Aragon" & newback=="Mallorca"
replace accession_coup  =1 if year== 1350 & mainpolity=="Aragon" & newback=="Mallorca"
replace accession_coup  =1 if year== 1163 & mainpolity=="Silesia" & newback=="Masovia"
replace accession_inheritingclose  =1 if year== 1173 & mainpolity=="Greater Poland" & newback=="Masovia"
replace accession_coup  =1 if year== 1186 & mainpolity=="Sandomierz" & newback=="Masovia"
replace accession_coup  =1 if year== 1068 & mainpolity=="Galicia" & newback=="Muslim"
replace accession_coup  =1 if year== 1072 & mainpolity=="Sicily" & newback=="Muslim"
replace accession_coup  =1 if year== 1086 & mainpolity=="Castile" & newback=="Muslim"
replace accession_coup  =1 if year== 1127 & mainpolity=="Sicily" & newback=="Muslim"
replace accession_coup  =1 if year== 1157 & mainpolity=="Portugal" & newback=="Muslim"
replace accession_coup  =1 if year== 1211 & mainpolity=="Castile" & newback=="Muslim"
replace accession_coup  =1 if year== 1230 & mainpolity=="Aragon" & newback=="Muslim"
replace accession_coup  =1 if year== 1231 & mainpolity=="Castile" & newback=="Muslim"
replace accession_coup  =1 if year== 1233 & mainpolity=="Portugal" & newback=="Muslim"
replace accession_coup  =1 if year== 1238 & mainpolity=="Aragon" & newback=="Muslim"
replace accession_coup  =1 if year== 1250 & mainpolity=="Portugal" & newback=="Muslim"
replace accession_coup  =1 if year== 1297 & mainpolity=="Aragon-James" & newback=="Muslim"
replace accession_coup  =1 if year== 1077 & mainpolity=="Aragon" & newback=="Navarre"
replace accession_coup  =1 if year== 1077 & mainpolity=="Castile" & newback=="Navarre"
replace accession_inheritingother  =1 if year== 1235 & mainpolity=="Champagne" & newback=="Navarre"
replace accession_coup  =1 if year== 1479 & mainpolity=="Aragon" & newback=="Navarre"
replace accession_coup  =1 if year== 1087 & mainpolity=="England" & newback=="Normandy"
replace accession_coup  =1 if year== 1106 & mainpolity=="England" & newback=="Normandy"
replace accession_coup  =1 if year== 1004 & mainpolity=="Bohemia" & newback=="Poland"
replace accession_coup  =1 if year== 1020 & mainpolity=="Bohemia" & newback=="Poland"
replace accession_coup  =1 if year== 1292 & mainpolity=="Galicia" & newback=="Poland"
replace accession_coup  =1 if year== 1294 & mainpolity=="Greater Poland" & newback=="Pomerelia"
replace accession_coup  =1 if year== 1402 & mainpolity=="Athens" & newback=="Republic"
replace accession_coup  =1 if year== 1199 & mainpolity=="Greater Poland" & newback=="Sandomierz"
replace accession_coup  =1 if year== 1200 & mainpolity=="Masovia" & newback=="Sandomierz"
replace accession_coup  =1 if year== 1227 & mainpolity=="Greater Poland" & newback=="Sandomierz"
replace accession_coup  =1 if year== 1279 & mainpolity=="Lescya" & newback=="Sandomierz"
replace accession_coup  =1 if year== 1285 & mainpolity=="Lescya" & newback=="Sandomierz"
replace accession_coup  =1 if year== 1298 & mainpolity=="Hapsburg" & newback=="Saxony-Wettin"
replace accession_coup  =1 if year== 1388 & mainpolity=="Athens" & newback=="Sicily"
replace accession_coup  =1 if year== 1271 & mainpolity=="France" & newback=="Toulouse"
replace accession_coup  =1 if year== 1311 & mainpolity=="Luxenbourg" & newback=="Tyrol"
replace accession_coup  =1 if year== 1336 & mainpolity=="Hapsburg" & newback=="Tyrol"
replace accession_coup  =1 if year== 1389 & mainpolity=="Provence" & newback=="Anjou"
replace accession_coup  =1 if year== 1266 & mainpolity=="Anjou" & newback=="Hohenstaufen-Manfred"
replace accession_coup  =1 if year== 1438 & mainpolity=="Hapsburg-Albert" & newback=="Huss"
replace accession_coup  =1 if year== 1137 & mainpolity=="Bavaria" & newback=="Salian"
replace accession_coup  =1 if year== 1143 & mainpolity=="Masovia" & newback=="Silesia"
replace accession_coup  =1 if year== 1144 & mainpolity=="Masovia" & newback=="Silesia"
replace accession_coup  =1 if year== 1146 & mainpolity=="Masovia" & newback=="Silesia"
replace accession_coup  =1 if year== 1241 & mainpolity=="Sandomierz" & newback=="Silesia"
replace accession_coup  =1 if year== 1294 & mainpolity=="Bohemia" & newback=="Silesia"
replace accession_coup  =1 if year== 1335 & mainpolity=="Luxenbourg" & newback=="Silesia"
replace  accession_inheritingotherrelativ  =1 if year== 1382 & mainpolity=="Provence" & newback=="Anjou"
replace accession_inheritingotherrelativ  =1 if year== 1435 & mainpolity=="Provence" & newback=="Anjou"
replace accession_inheritingotherrelativ  =1 if year== 1005 & mainpolity=="France" & newback=="Burgundy"
replace accession_inheritingotherrelativ  =1 if year== 1361 & mainpolity=="Burgundy-Counts" & newback=="Burgundy"
replace accession_inheritingotherrelativ  =1 if year== 1477 & mainpolity=="France" & newback=="Burgundy"
replace accession_inheritingotherrelativ  =1 if year== 1330 & mainpolity=="Burgundy" & newback=="Burgundy-Counts"
replace accession_inheritingotherrelativ  =1 if year== 1384 & mainpolity=="Burgundy" & newback=="Burgundy-Counts"
replace accession_inheritingotherrelativ  =1 if year== 1231 & mainpolity=="Castile" & newback=="Leon"
replace accession_inheritingotherrelativ  =1 if year== 1370 & mainpolity=="Hungary" & newback=="Poland"
replace accession_inheritingotherrelativ  =1 if year== 1371 & mainpolity=="Hungary" & newback=="Poland"
replace accession_inheritingotherrelativ  =1 if year== 1194 & mainpolity=="Hohenstaufen" & newback=="Sicily"
replace accession_inheritingotherrelativ  =1 if year== 1201 & mainpolity=="Silesia" & newback=="Silesia-Opole"
replace accession_inheritingotherrelativ  =1 if year== 1192 & mainpolity=="Austria" & newback=="Styria"
replace accession_inheritingotherrelativ  =1 if year== 1389 & mainpolity=="Denmark" & newback=="Sweeden"
replace accession_inheritingotherrelativ  =1 if year== 1248 & mainpolity=="Hesse" & newback=="Thurugia"
replace accession_elec  =1 if year== 1301 & mainpolity=="Bohemia" & newback=="Hungary"
replace accession_elec  =1 if year== 1387 & mainpolity=="Luxenbourg-Sig" & newback=="Hungary"
replace accession_elec  =1 if year== 1490 & mainpolity=="Bohemia" & newback=="Hungary"
replace  accession_inheritingotherrelativ  =1 if year== 1135 & mainpolity=="Navarre" & newback=="Aragon"
replace  accession_inheritingcloserelativ  =1 if year== 1276 & mainpolity=="Mallorca" & newback=="Aragon"
replace  accession_inheritingcloserelativ  =1 if year== 1285 & mainpolity=="Aragon-James" & newback=="Aragon"
replace  accession_inheritingcloserelativ  =1 if year== 1291 & mainpolity=="Aragon-James" & newback=="Aragon"
replace  accession_inheritingcloserelativ  =1 if year== 1458 & mainpolity=="Naples" & newback=="Aragon"
replace  accession_inheritingcloserelativ  =1 if year== 1458 & mainpolity=="Navarre" & newback=="Aragon"
replace  accession_inheritingotherrelativ  =1 if year== 1296 & mainpolity=="Mallorca" & newback=="Aragon-James"
replace  accession_inheritingcloserelativ  =1 if year== 1296 & mainpolity=="Sicily" & newback=="Aragon-James"
replace  accession_inheritingcloserelativ  =1 if year== 1327 & mainpolity=="Aragon" & newback=="Aragon-James"
replace  accession_inheritingcloserelativ  =1 if year== 1131 & mainpolity=="Provence" & newback=="Barcelona"
replace  accession_inheritingcloserelativ  =1 if year== 1162 & mainpolity=="Aragon" & newback=="Barcelona"
replace  accession_inheritingotherrelativ  =1 if year== 1302 & mainpolity=="Greater Poland" & newback=="Bohemia"
replace  accession_inheritingcloserelativ  =1 if year== 1356 & mainpolity=="Bulgaria-Tamovo" & newback=="Bulgaria"
replace  accession_inheritingcloserelativ  =1 if year== 1356 & mainpolity=="Bulgaria-Vidin" & newback=="Bulgaria"
replace  accession_inheritingotherrelativ  =1 if year== 1362 & mainpolity=="France" & newback=="Burgundy"
replace  accession_inheritingcloserelativ  =1 if year== 1065 & mainpolity=="Galicia" & newback=="Castile"
replace  accession_inheritingcloserelativ  =1 if year== 1158 & mainpolity=="Leon" & newback=="Castile"
replace  accession_inheritingcloserelativ  =1 if year== 1033 & mainpolity=="Burgundy" & newback=="France"
replace  accession_inheritingotherrelativ  =1 if year== 1364 & mainpolity=="Burgundy" & newback=="France"
replace  accession_inheritingcloserelativ  =1 if year== 1366 & mainpolity=="Hapsburg-Albert" & newback=="Hapsburg"
replace  accession_inheritingcloserelativ  =1 if year== 1366 & mainpolity=="Hapsburg-Leopold" & newback=="Hapsburg"
replace  accession_inheritingotherrelativ  =1 if year== 1458 & mainpolity=="Hapsburg-Leopold" & newback=="Hapsburg-Albert"
replace  accession_inheritingotherrelativ  =1 if year== 1491 & mainpolity=="Hapsburg-Leopold" & newback=="Hapsburg-Junior"
replace  accession_inheritingcloserelativ  =1 if year== 1406 & mainpolity=="Hapsburg-Junior" & newback=="Hapsburg-Leopold"
replace  accession_inheritingcloserelativ  =1 if year== 1152 & mainpolity=="Hohenstaufen-Cadet" & newback=="Hohenstaufen"
replace  accession_inheritingcloserelativ  =1 if year== 1258 & mainpolity=="Hohenstaufen-Manfred" & newback=="Hohenstaufen"
replace  accession_inheritingcloserelativ  =1 if year== 1197 & mainpolity=="Hohenstaufen" & newback=="Hohenstaufen-Cadet"
replace  accession_coup  =1 if year== 1269 & mainpolity=="Bohemia" & newback=="Karinthia"
replace  accession_inheritingotherrelativ  =1 if year== 1037 & mainpolity=="Castile" & newback=="Leon"
replace  accession_inheritingcloserelativ  =1 if year== 1379 & mainpolity=="Luxenbourg-Sig" & newback=="Luxenbourg"
replace  accession_inheritingotherrelativ  =1 if year== 1388 & mainpolity=="Luxenbourg-Jobst" & newback=="Luxenbourg"
replace  accession_inheritingcloserelativ  =1 if year== 1418 & mainpolity=="Luxenbourg-Sig" & newback=="Luxenbourg"
replace  accession_inheritingcloserelativ  =1 if year== 1419 & mainpolity=="Luxenbourg-Sig" & newback=="Luxenbourg"
replace  accession_inheritingotherrelativ  =1 if year== 1410 & mainpolity=="Luxenbourg-Sig" & newback=="Luxenbourg-Jobst"
replace  accession_inheritingotherrelativ  =1 if year== 1411 & mainpolity=="Luxenbourg" & newback=="Luxenbourg-Jobst"
replace  accession_inheritingotherrelativ  =1 if year== 1389 & mainpolity=="Luxenbourg-Jobst" & newback=="Luxenbourg-Sig"
replace  accession_appoint  =1 if year== 1416 & mainpolity=="Brandenburg" & newback=="Luxenbourg-Sig"
replace  accession_elect  =1 if year== 1438 & mainpolity=="Hapsburg-Albert" & newback=="Luxenbourg-Sig"
replace  accession_inheritingcloserelativ  =1 if year== 1155 & mainpolity=="Pomerelia" & newback=="Masovia"
replace  accession_inheritingotherrelativ  =1 if year== 1260 & mainpolity=="Lescya" & newback=="Masovia"
replace  accession_inheritingcloserelativ  =1 if year== 1137 & mainpolity=="Greater Poland" & newback=="Poland"
replace  accession_inheritingcloserelativ  =1 if year== 1138 & mainpolity=="Masovia" & newback=="Poland"
replace  accession_inheritingcloserelativ  =1 if year== 1138 & mainpolity=="Sandomierz" & newback=="Poland"
replace  accession_inheritingcloserelativ  =1 if year== 1138 & mainpolity=="Silesia" & newback=="Poland"
replace  accession_inheritingotherrelativ  =1 if year== 1297 & mainpolity=="Bohemia" & newback=="Poland"
replace  accession_inheritingotherrelativ  =1 if year== 1298 & mainpolity=="Bohemia" & newback=="Poland"
replace  accession_inheritingotherrelativ  =1 if year== 1300 & mainpolity=="Bohemia" & newback=="Poland"
replace  accession_inheritingother  =1 if year== 1112 & mainpolity=="Barcelona" & newback=="Provence"
replace  accession_marriage  =1 if year== 1246 & mainpolity=="Anjou" & newback=="Provence"
replace  accession_coup  =1 if year== 1399 & mainpolity=="Anjou" & newback=="Provence"
replace  accession_coup  =1 if year== 1442 & mainpolity=="Aragon" & newback=="Provence"
replace  accession_inheritingcloserelativ  =1 if year== 1424 & mainpolity=="Saxony-Wettin" & newback=="Saxony"
replace  accession_inheritingcloserelativ  =1 if year== 1445 & mainpolity=="Saxony-Wettin-Ernest" & newback=="Saxony-Wettin"
replace  accession_inheritingcloserelativ  =1 if year== 1409 & mainpolity=="Aragon" & newback=="Sicily"
replace  accession_inheritingcloserelativ  =1 if year== 1172 & mainpolity=="Silesia-Opole" & newback=="Silesia"
replace  accession_inheritingcloserelativ  =1 if year== 1202 & mainpolity=="Silesia-Opole" & newback=="Silesia"
replace accession_marriage  =1 if year== 1137 & mainpolity=="France" & newback=="Aquitaine"
replace accession_marriage  =1 if year== 1138 & mainpolity=="France" & newback=="Aquitaine"
replace accession_marriage  =1 if year== 1488 & mainpolity=="France" & newback=="Brittany"
replace accession_marriage  =1 if year== 1305 & mainpolity=="France" & newback=="Champagne"
replace accession_marriage  =1 if year== 1473 & mainpolity=="Burgundy" & newback=="Gelderland"
replace accession_marriage  =1 if year== 1432 & mainpolity=="Burgundy" & newback=="Holland"
replace accession_unif  =1 if year== 1032 & mainpolity=="Savoy" & newback=="Arles"
replace accession_unif  =1 if year== 1138 & mainpolity=="Tyrol" & newback=="Bavaria"
replace accession_unif  =1 if year== 1139 & mainpolity=="Austria" & newback=="Bavaria"
replace accession_unif  =1 if year== 1140 & mainpolity=="Brandenburg" & newback=="Bavaria"
replace accession_unif  =1 if year== 1003 & mainpolity=="Brabant" & newback=="Minor"
replace accession_unif  =1 if year== 1026 & mainpolity=="Castile" & newback=="Minor"
replace accession_unif  =1 if year== 1035 & mainpolity=="Aragon" & newback=="Minor"
replace accession_unif  =1 if year== 1046 & mainpolity=="Savoy" & newback=="Minor"
replace accession_unif  =1 if year== 1102 & mainpolity=="Champagne" & newback=="Minor"
replace accession_unif  =1 if year== 1105 & mainpolity=="Saar" & newback=="Minor"
replace accession_unif  =1 if year== 1111 & mainpolity=="Thurugia" & newback=="Minor"
replace accession_unif  =1 if year== 1130 & mainpolity=="Sicily" & newback=="Minor"
replace accession_unif  =1 if year== 1137 & mainpolity=="Thurugia" & newback=="Minor"
replace accession_unif  =1 if year== 1140 & mainpolity=="Sicily" & newback=="Minor"
replace accession_unif  =1 if year== 1153 & mainpolity=="Tyrol" & newback=="Minor"
replace accession_unif  =1 if year== 1182 & mainpolity=="Gelderland" & newback=="Minor"
replace accession_unif  =1 if year== 1205 & mainpolity=="France" & newback=="Minor"
replace accession_unif  =1 if year== 1231 & mainpolity=="Castile" & newback=="Minor"
replace accession_unif  =1 if year== 1259 & mainpolity=="Byzantium" & newback=="Minor"
replace accession_unif  =1 if year== 1271 & mainpolity=="Pomerelia" & newback=="Minor"
replace accession_unif  =1 if year== 1287 & mainpolity=="England" & newback=="Minor"
replace accession_unif  =1 if year== 1288 & mainpolity=="Brabant" & newback=="Minor"
replace accession_unif  =1 if year== 1292 & mainpolity=="Galicia" & newback=="Minor"
replace accession_unif  =1 if year== 1294 & mainpolity=="Poland" & newback=="Minor"
replace accession_unif  =1 if year== 1305 & mainpolity=="Poland" & newback=="Minor"
replace accession_unif  =1 if year== 1314 & mainpolity=="Hesse" & newback=="Minor"
replace accession_unif  =1 if year== 1314 & mainpolity=="Poland" & newback=="Minor"
replace accession_unif  =1 if year== 1335 & mainpolity=="Hapsburg" & newback=="Minor"
replace accession_unif  =1 if year== 1340 & mainpolity=="Bavaria" & newback=="Minor"
replace accession_unif  =1 if year== 1350 & mainpolity=="France" & newback=="Minor"
replace accession_unif  =1 if year== 1371 & mainpolity=="France" & newback=="Minor"
replace accession_unif  =1 if year== 1372 & mainpolity=="France" & newback=="Minor"
replace accession_unif  =1 if year== 1387 & mainpolity=="Lithuania" & newback=="Minor"
replace accession_unif  =1 if year== 1393 & mainpolity=="Saar" & newback=="Minor"
replace accession_unif  =1 if year== 1420 & mainpolity=="Aragon" & newback=="Minor"
replace accession_unif  =1 if year== 1431 & mainpolity=="Burgundy" & newback=="Minor"
replace accession_unif  =1 if year== 1437 & mainpolity=="Burgundy" & newback=="Minor"
replace accession_unif  =1 if year== 1488 & mainpolity=="France" & newback=="Minor"
replace accession_unif  =1 if year== 1495 & mainpolity=="Masovia" & newback=="Minor"
replace accession_unif  =1 if year== 1043 & mainpolity=="Hungary" & newback=="Tribal"
replace accession_unif  =1 if year== 1160 & mainpolity=="Brandenburg" & newback=="Tribal"
replace accession_unif  =1 if year== 1250 & mainpolity=="Sweeden" & newback=="Tribal"
replace accession_unif  =1 if year== 1250 & mainpolity=="Bohemia" & newback==""
replace accession_unif  =1 if year== 1264 & mainpolity=="Saxony-Wettin" & newback==""
replace accession_unif  =1 if year== 1292 & mainpolity=="Scotland" & newback==""
replace accession_unif  =1 if year== 1306 & mainpolity=="Scotland" & newback==""
replace accession_unif  =1 if year== 1323 & mainpolity=="Brandenburg" & newback==""
replace accession_unif  =1 if year== 1340 & mainpolity=="Denmark" & newback==""
replace accession_unif  =1 if year== 1341 & mainpolity=="Denmark" & newback==""
replace accession_unif  =1 if year== 1467 & mainpolity=="Burgundy" & newback==""
replace accession_unif  =1 if year== 1472 & mainpolity=="Bohemia" & newback==""


replace selection="E" if bigpol=="Byz" &selection=="" &year>1025
replace selection="E" if bigpol=="France" &selection=="" &year>1030&year<1223
replace selection="P" if bigpol=="France" &selection=="" &year>1223
replace selection="E" if bigpol=="HRE" &selection==""
replace selection="E" if bigpol=="Poland" &selection==""&year>1369
replace selection="P" if bigpol=="Poland" &selection==""&year<1370&year>1304
replace selection="A" if bigpol=="Poland" &selection==""&year<1305&year>1035
replace bigpol="Sweden" if countryname=="Finland"
replace bigpol="Walachia" if countryname=="Romania" & bigpol==""
replace bigpol="France" if countryname=="France" & bigpol==""
replace bigpol="Scotland" if name=="Scotland"
replace woman=1 if kingname=="Petronilla"
replace woman=1 if kingname=="Mathilda"
replace woman=1 if kingname=="Maria"
replace woman=1 if kingname=="Margaret"
replace woman=1 if kingname=="Jaqueline"
replace woman=1 if kingname=="Isabela"
replace woman=1 if kingname=="Adelaide"
replace woman=1 if kingname=="Elizabeth"


replace predecessor_other=1 if accession_inheritingotherrelativ ==1
replace  predecessor_other  =1 if year== 1135 & mainpolity=="Navarre" & newback=="Aragon"
replace  predecessor_son  =1 if year== 1276 & mainpolity=="Mallorca" & newback=="Aragon"
replace  predecessor_son  =1 if year== 1285 & mainpolity=="Aragon-James" & newback=="Aragon"
replace  predecessor_brother  =1 if year== 1291 & mainpolity=="Aragon-James" & newback=="Aragon"
replace  predecessor_son  =1 if year== 1458 & mainpolity=="Naples" & newback=="Aragon"
replace  predecessor_son  =1 if year== 1458 & mainpolity=="Navarre" & newback=="Aragon"
replace  predecessor_uncle  =1 if year== 1296 & mainpolity=="Mallorca" & newback=="Aragon-James"
replace  predecessor_brother  =1 if year== 1296 & mainpolity=="Sicily" & newback=="Aragon-James"
replace  predecessor_son  =1 if year== 1327 & mainpolity=="Aragon" & newback=="Aragon-James"
replace  predecessor_son  =1 if year== 1131 & mainpolity=="Provence" & newback=="Barcelona"
replace  predecessor_son  =1 if year== 1162 & mainpolity=="Aragon" & newback=="Barcelona"
replace  predecessor_other  =1 if year== 1302 & mainpolity=="Greater Poland" & newback=="Bohemia"
replace  predecessor_son  =1 if year== 1356 & mainpolity=="Bulgaria-Tamovo" & newback=="Bulgaria"
replace  predecessor_son  =1 if year== 1356 & mainpolity=="Bulgaria-Vidin" & newback=="Bulgaria"
replace  predecessor_son  =1 if year== 1362 & mainpolity=="France" & newback=="Burgundy"
replace  predecessor_son  =1 if year== 1065 & mainpolity=="Galicia" & newback=="Castile"
replace  predecessor_son  =1 if year== 1158 & mainpolity=="Leon" & newback=="Castile"
replace  predecessor_son  =1 if year== 1033 & mainpolity=="Burgundy" & newback=="France"
replace  predecessor_other  =1 if year== 1364 & mainpolity=="Burgundy" & newback=="France"
replace  predecessor_son  =1 if year== 1366 & mainpolity=="Hapsburg-Albert" & newback=="Hapsburg"
replace  predecessor_son  =1 if year== 1366 & mainpolity=="Hapsburg-Leopold" & newback=="Hapsburg"
replace  predecessor_son  =1 if year== 1406 & mainpolity=="Hapsburg-Junior" & newback=="Hapsburg-Leopold"
replace  predecessor_son  =1 if year== 1152 & mainpolity=="Hohenstaufen-Cadet" & newback=="Hohenstaufen"
replace  predecessor_son  =1 if year== 1258 & mainpolity=="Hohenstaufen-Manfred" & newback=="Hohenstaufen"
replace  predecessor_brother  =1 if year== 1197 & mainpolity=="Hohenstaufen" & newback=="Hohenstaufen-Cadet"
replace  predecessor_other  =1 if year== 1037 & mainpolity=="Castile" & newback=="Leon"
replace  predecessor_son  =1 if year== 1379 & mainpolity=="Luxenbourg-Sig" & newback=="Luxenbourg"
replace  predecessor_other  =1 if year== 1388 & mainpolity=="Luxenbourg-Jobst" & newback=="Luxenbourg"
replace  predecessor_brother  =1 if year== 1418 & mainpolity=="Luxenbourg-Sig" & newback=="Luxenbourg"
replace  predecessor_brother  =1 if year== 1419 & mainpolity=="Luxenbourg-Sig" & newback=="Luxenbourg"
replace  predecessor_other  =1 if year== 1410 & mainpolity=="Luxenbourg-Sig" & newback=="Luxenbourg-Jobst"
replace  predecessor_other  =1 if year== 1411 & mainpolity=="Luxenbourg" & newback=="Luxenbourg-Jobst"
replace  predecessor_other  =1 if year== 1389 & mainpolity=="Luxenbourg-Jobst" & newback=="Luxenbourg-Sig"
replace  predecessor_son  =1 if year== 1155 & mainpolity=="Pomerelia" & newback=="Masovia"
replace  predecessor_other  =1 if year== 1260 & mainpolity=="Lescya" & newback=="Masovia"
replace  predecessor_son  =1 if year== 1137 & mainpolity=="Greater Poland" & newback=="Poland"
replace  predecessor_son  =1 if year== 1138 & mainpolity=="Masovia" & newback=="Poland"
replace  predecessor_son  =1 if year== 1138 & mainpolity=="Sandomierz" & newback=="Poland"
replace  predecessor_son  =1 if year== 1138 & mainpolity=="Silesia" & newback=="Poland"
replace  predecessor_uncle  =1 if year== 1112 & mainpolity=="Barcelona" & newback=="Provence"
replace  predecessor_son  =1 if year== 1246 & mainpolity=="Anjou" & newback=="Provence"
replace  predecessor_son  =1 if year== 1424 & mainpolity=="Saxony-Wettin" & newback=="Saxony"
replace  predecessor_son  =1 if year== 1445 & mainpolity=="Saxony-Wettin-Ernest" & newback=="Saxony-Wettin"
replace  predecessor_son  =1 if year== 1409 & mainpolity=="Aragon" & newback=="Sicily"
replace  predecessor_son  =1 if year== 1172 & mainpolity=="Silesia-Opole" & newback=="Silesia"
replace  predecessor_son  =1 if year== 1026 & mainpolity=="Burgundy-Counts" & newback=="Burgundy"
replace  predecessor_son  =1 if year== 1289 & mainpolity=="Poland" & newback=="Lescya"
replace  predecessor_son  =1 if year== 1173 & mainpolity=="Greater Poland" & newback=="Masovia"

*first children and predecessor
recode pred* (.=0)
egen firstchildyear=rmin(*born)
replace firstchildyear=. if boys_missing!=. |girls_missing!=.
gen firstchildgender=.
local list child1 child2 child3 child4 child5 child6 child7 child8 child9 child10 child11 child12 child13 child14 child15 child16 child17 child18 child19
foreach x of local list{
replace `x'boy =0 if `x'boy ==. &`x'born!=. 
replace `x'boy =0 if `x'boy ==. &`x'died!=.
replace firstchildgender=`x'boy if `x'born==firstchildyear
replace firstchildgender=. if boys_missing!=. |girls_missing!=.
}
gen hadrecordedchildren=.
replace hadrecordedchildren=1 if firstchildyear!=.



*filling in blanks
sort mainpolity year
foreach var of varlist  dynasty kingname {
replace `var'=`var'[_n-1] if `var'=="" &`var'[_n-1] !="" &mainpolity[_n-1] ==mainpolity
}
foreach var of varlist  regnalnumber accession_* lostpower_* legitimateboys legitimategirls boysdiedchildren girlsdiedchildren boysalivelostpower girlsalivelostpower illegitimateboys illegitimategirls woman previouslyruled{
replace `var'=`var'[_n-1] if `var'==. &`var'[_n-1] !=. &mainpolity[_n-1] ==mainpolity & kingname[_n-1]==kingname &regnalnum[_n-1]==regnalnum 
}

foreach var of varlist  regnalnumber accession_* lostpower_* legitimateboys legitimategirls boysdiedchildren girlsdiedchildren boysalivelostpower girlsalivelostpower illegitimateboys illegitimategirls woman previouslyruled{
replace `var'=0 if `var'==. &kingname!=""
recode `var' (99=.)
}



egen boys2=max(boysalivelostpower), by(kingname regnaln mainpol)
gen predecessorboys = .
sort nuts year
egen newid = group(kingname regnal)
replace predecessorboys=boys2[_n-1] if newid[_n-1]!=newid
sort nuts year
replace predecessorboys=predecessorboys[_n-1] if predecessorboys==. &predecessorboys[_n-1] !=. &mainpolity[_n-1] ==mainpolity & newid[_n-1]==newid

gen childdata=0
replace childdata =1 if child1born!=. &child1died!=.
gen childmature=0
gen childimmature=0
replace childmature=1 if child1died-child1born>18 &year<child1died&childdata==1&child1boy==1
replace childimmature=1 if child1died-child1born<19 &year<child1died&childdata==1&child1boy==1
replace childmature=1 if child2died-child2born>18 &year<child2died&childdata==1&child2boy==1
replace childimmature=1 if child2died-child2born<19 &year<child2died&childdata==1&child2boy==1
replace childmature=1 if child3died-child3born>18 &year<child3died&childdata==1&child3boy==1
replace childimmature=1 if child3died-child3born<19 &year<child3died&childdata==1&child3boy==1
replace childmature=1 if child4died-child4born>18 &year<child4died&childdata==1&child4boy==1
replace childimmature=1 if child4died-child4born<19 &year<child4died&childdata==1&child4boy==1
replace childmature=1 if child5died-child5born>18 &year<child5died&childdata==1&child5boy==1
replace childimmature=1 if child5died-child5born<19 &year<child5died&childdata==1&child5boy==1
replace childmature=1 if child6died-child6born>18 &year<child6died&childdata==1&child6boy==1
replace childimmature=1 if child6died-child6born<19 &year<child6died&childdata==1&child6boy==1
replace childmature=1 if child7died-child7born>18 &year<child7died&childdata==1&child7boy==1
replace childimmature=1 if child7died-child7born<19 &year<child7died&childdata==1&child7boy==1
replace childmature=1 if child8died-child8born>18 &year<child8died&childdata==1&child8boy==1
replace childimmature=1 if child8died-child8born<19 &year<child8died&childdata==1&child8boy==1
replace childmature=1 if child9died-child9born>18 &year<child9died&childdata==1&child9boy==1
replace childimmature=1 if child9died-child9born<19 &year<child9died&childdata==1&child9boy==1
replace childmature=1 if child10died-child10born>18 &year<child10died&childdata==1&child10boy==1
replace childimmature=1 if child10died-child10born<19 &year<child10died&childdata==1&child10boy==1
replace childmature=1 if child11died-child11born>18 &year<child11died&childdata==1&child11boy==1
replace childimmature=1 if child11died-child11born<19 &year<child11died&childdata==1&child11boy==1
replace childmature=1 if child12died-child12born>18 &year<child12died&childdata==1&child12boy==1
replace childimmature=1 if child12died-child12born<19 &year<child12died&childdata==1&child12boy==1
replace childmature=1 if child13died-child13born>18 &year<child13died&childdata==1&child13boy==1
replace childimmature=1 if child13died-child13born<19 &year<child13died&childdata==1&child13boy==1
replace childmature=1 if child14died-child14born>18 &year<child14died&childdata==1&child14boy==1
replace childimmature=1 if child14died-child14born<19 &year<child14died&childdata==1&child14boy==1
replace childmature=1 if child15died-child15born>18 &year<child15died&childdata==1&child15boy==1
replace childimmature=1 if child15died-child15born<19 &year<child15died&childdata==1&child15boy==1
replace childmature=1 if child16died-child16born>18 &year<child16died&childdata==1&child16boy==1
replace childimmature=1 if child16died-child16born<19 &year<child16died&childdata==1&child16boy==1
replace childimmature=0 if childmature==1

egen childimmature2=max(childimmature), by(kingname regnaln mainpol)
gen predecessorimmature = .
sort nuts year
replace predecessorimmature=childimmature2[_n-1] if newid[_n-1]!=newid
sort nuts year
replace predecessorimmature=predecessorimmature[_n-1] if predecessorimmature==. &predecessorimmature[_n-1] !=. &mainpolity[_n-1] ==mainpolity & newid[_n-1]==newid

egen childmature2=max(childmature), by(kingname regnaln mainpol)
gen predecessormature = .
sort nuts year
replace predecessormature=childmature2[_n-1] if newid[_n-1]!=newid
sort nuts year
replace predecessormature=predecessormature[_n-1] if predecessormature==. &predecessormature[_n-1] !=. &mainpolity[_n-1] ==mainpolity & newid[_n-1]==newid



gen tribalrule=0
replace tribalrule=1 if mainpolity=="Tribal"
egen tribalyears=total(tribalrule), by(nuts)

gen muslimrule=0
replace muslimrule=1 if mainpolity=="Muslim"
egen muslimyears=total(muslimrule), by(nuts)

*droping stuff
drop if mainpolity=="Muslim"
drop if mainpolity=="Tribal"
drop if mainpolity=="Church"
drop if mainpolity=="Republic"
drop if mainpolity=="Minor"
drop if mainpolity=="Huss"
drop if mainpolity=="Provence-BAD"
drop if mainpolity==""
drop if legitimateboy==.


*Generate the Variable AtLeastOneMaleHeir (at time of death) and AtLeastOneLegitBoy*
gen atleastonemaleheir = 0
replace atleastonemaleheir=1 if boysalivelostpower > 0
replace atleastonemaleheir=1 if boysalivelostpower ==.
gen morethanoneheir=0
replace morethanoneheir =1 if boysalivelostpower>1&boysalivelostpower!=.
gen atleastonelegitboy = 0
replace atleastonelegitboy=1 if legitimateboys > 0
replace atleastonelegitboy=1 if legitimateboys ==.

*selection variables
gen selection_primo=0
gen selection_agnat=0
gen selection_el=0
replace selection_primo=1 if selection=="P"
replace selection_agnat=1 if selection=="A"
replace selection_el=1 if selection=="E"
replace selection_primo=0 if selection==""
replace selection_agnat=0 if selection==""
replace selection_el=0 if selection==""
egen primoyears=total (selection_prim), by(nuts)

*gen yes girl no boy
gen onlygirls=0
replace onlygirls=1 if boysalivelostpower==0 &girlsalivelostpower>0

*Generate the number of good years in the data
gen count=1
egen goodyears=total(count), by(name)
tab goodyears




*Gen the length of rule weighted average of atleastonelegitboyUW, atleastonemaleheirUW, etc.
gen atleastonemaleheirW = atleastonemaleheir * (lengthofrule/goodyears)
gen atleastonelegitboyW = atleastonelegitboy * (lengthofrule/goodyears)
gen legitimateboysW = legitimateboys * (lengthofrule/goodyears)
gen genderratioW = (legitimateboys/(legitimateboys+ legitimategirls)) *(lengthofrule/goodyears)
replace genderratioW = 0 if legitimateboys+ legitimategirls==0
gen totalkidsW = (legitimateboys+ legitimategirls)*(lengthofrule/goodyears)
gen genderratioUW = (legitimateboys/(legitimateboys+ legitimategirls))
replace genderratioUW = 0 if legitimateboys+ legitimategirls==0
gen avelegitboys = legitimateboys
gen avelegitchildren = legitimateboys + legitimategirls

gen monarchs=0
replace monarchs=1 if kingname!=""
egen totalmonarchs=total(monarchs), by(nuts)


*non-linear?
gen zerosons=0
gen onlyone=0
replace zerosons=1 if boysalivelostpower==0
replace onlyone=1 if boysalivelostpower==1
replace onlyone=. if monarchs==0
replace zerosons=. if monarchs==0
replace morethanone=. if monarchs==0

*Coups
gen nomalecoup_deposed = 0
gen nomalecoup_deposedorkilled = 0
replace nomalecoup_deposed = 1 if lostpower_deposed == 1 & atleastonemaleheir==0
replace nomalecoup_deposedorkilled = 1 if lostpower_deposed + lostpower_killed >= 1 & atleastonemaleheir==0


*Set a threshold for good years
drop if goodyears<200

*merge wars data
merge 1:1 nuts year year2 using "regions with wars.dta"
recode war (.=0)
drop _merge

*merge wars data
merge m:1 nuts year  using "warssimple.dta", keepusing(realwar)
drop _merge
recode realwar (.=0)

*create weighted average length of dynasties
sort nuts year
gen newdynasty=year if dynasty[_n-1]!=dynasty
replace newdynasty=newdynasty[_n-1] if newdynasty==.

gen temp=1
egen dynastylength=total(temp), by (nuts newdynasty)
egen avedynlength= mean(dynastylength), by(nuts)
gen dynastylength2 = (dynastylength)^2
egen sumdynlength =sum(dynastylength), by(nuts)
egen sumdynlength2 =sum(dynastylength2), by(nuts)
gen wavedynlength =sumdynlength2/sumdynlength


gen total_heirs =boysalivelostpower+brothers_alive
gen avetotal_heirs = boysalivelostpower+brothers_alive
gen wavetotal_heir = avetotal_heirs * (lengthofrule/goodyears)

*first dynasty
sort nuts year
gen nativedyn=""
replace nativedyn=dynasty if nuts[_n-1]!=nuts
replace nativedyn= nativedyn[_n-1] if nativedyn==""
gen firstdyn=0
replace firstdyn=1 if nativedyn==dynasty
