
cd  "/Users/aviditacharya/Dropbox/Research - Submitted/European Development/Replication"

* KS Test on Gender Distributions

* First run collapse files.

keep if cleansed == 0

*Creating actual distribution of male and female children
generate totlegitkids = legitimateboys + legitimategirls
generate per_males_1 = legitimateboys/totlegitkids

* Creating 1000 binomial distributions for each district, with
* each generation producing a percentage of male kids out of the 
* total number of kids

set seed 12345
sort nuts
forvalues x = 2(1)1001{

generate per_males_`x' = (rbinomial(totlegitkids,.51))/totlegitkids

}
*

keep per_males_*

generate id = 0 

* Creating spreadsheet of just cumulative distributions and IDs for
* use with KS test format

outsheet per_males_* id using cumulatives51.csv, comma

* To complete the rest of the analysis, you will need to manually
* make a set of small changes to the spreadsheet produced above.
* In each of the 1000 columns of the spreadsheet, you will need
* to add the true distribution (the variable per_males_1) below
* the generated distribution. You can do this quickly by filling
* it in one column and dragging it across. Then, in the ID column
* on the far right, you will need to insert a 1 for all values
* associated with the true distribution. This will allow the 
* KS tests to work. 

* Once those adjustments are made, load the spreadsheet.

clear

cd "/Users/aviditacharya/Dropbox/Research - Submitted/European Development/Replication/KS Tests"
insheet using "cumulatives51.csv", comma

* KS tests for each distribution against the true distribution

generate pvalues = 0

forvalues x = 2(1)1001{

ksmirnov per_males_`x', by(id) exact

generate pvalue_`x' = r(p_exact)

}
*

* Reformatting pvalues
keep pvalue_*
keep if _n==1
stack pvalue_*, into (pvalues)

summarize pvalues

count if pvalues < .05 

count if pvalues < .10

* Plotting historgram of pvalues.

histogram pvalues, bin(8) fraction kdensity

* Plotting CDF of pvalues.

cumul pvalues, gen(cumul_pvalues)

graph twoway line cumul_pvalues pvalues, sort legend(off)
