* To run this file, you will need to create a folder and then
* change the file paths for the spreadsheets that tabulate
* the number of deletions for each district. 

*cd "C:/Users/Scott/Dropbox/European Development/Data"
cd  "/Users/aviditacharya/Dropbox/Research - Submitted/European Development/Replication"

* first run the collapse files

keep if cleansed == 0

summarize loggdppc0709, detail

drop if missing(loggdppc0709)

gen reg_med_gdp = 1
replace reg_med_gdp = 0 if loggdppc0709 <= 10.09407

summarize reg_med_gdp

tabstat legitimateboys if reg_med_gdp == 1, stat(sum)
tabstat legitimateboys if reg_med_gdp == 0, stat(sum)

regress loggdppc0709 legitimateboys

**** Loop for deleting heirs

* Each loop is the following.  It should be run 100 times, renaming
* the saved deletion files uniquely.

forvalues x = 150(10)450{

set seed 123`x'

generate rand=runiform() if reg_med_gdp==1 
sort rand
generate id = _n 
* The above steps sort the above median regions based on a 
* unique and randomly generated ID

preserve 

clear

set obs `x'
gen points = 1
generate draw = ceil(57*uniform())
collapse (sum) points, by(draw)
rename draw id 
* The above steps create a number of points equal to the desired
* number of deletions. These points are then matched to one of the 
* 61 above median regions, which are then collapsed by summing to
* determine how many deletions will occur at each district.

save "/Users/aviditacharya/Dropbox/Research - Submitted/European Development/Data/Deletions"
restore
merge 1:1 id using "/Users/aviditacharya/Dropbox/Research - Submitted/European Development/Data/Deletions/del `x' 1"
* The number of deletions for each district is saved. The original
* dataset is then restored and merged by the ID number.

local vars "points"
replace `vars' = 0 if (`vars' == .)
* For below median districts and above median districts that did 
* not receive any deletions, the missing value for points is replaced
* by 0.

generate legit`x' = legitimateboys-points 
* A new variable for the number of heirs after deletions is created.

drop _merge 
drop rand
drop id
drop points
* Variables are dropped so that the loop can continue.

regress loggdppc0709 legit`x' 

}

